--pgp-sign-Multipart_Mon_Jul_28_22:35:11_2008-1
Content-Type: text/plain; charset=ISO-2022-JP

At Sat, 26 Jul 2008 00:04:00 +0900,
Yugui (Yuki Sonoda) wrote:
> == プラットフォーム
> Ruby 1.9は今後、下記のプラットフォームをサポートしません。活動しているメ
> ンテナがいないためです。
> * BeOS
> * WinCE
> * OS/2
> * Interix
> * bcc32
> * Classic MacOS
> * djgpp
> * VMS
> * human68k
>
> 9月25日までにメンテナが現れない限り、これらのためのプラットフォーム依存
> コードはRubyから削除します。

 公式サポートからの除外とコードの削除は別個に考えるべきでは
ないでしょうか。削除は、本当にメンテナがいないとどうしようも
ないとなってから、個別に損得勘定すればいいのではないかな。

 むろん、プラットフォームが事実上終わっていて、誰も動作確認を
十分に行えておらず、すでに Ruby のメンテナンス上の負担になって
いるようなものは、メンテナが現れなければ消すべきだと思います。
そしてそういうものが上記にあれば今名指ししておくべきでしょう。

--
Akinori MUSHA / http://akinori.org/

--pgp-sign-Multipart_Mon_Jul_28_22:35:11_2008-1
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (FreeBSD)

iEYEABECAAYFAkiNyw8ACgkQkgvvx5/Z4e479wCg2p8Q51MtJsCKUh33kfetePGo
/MMAoK7DKuae7lJUujYR3U0mDTnf1pOd
=7YrV
-----END PGP SIGNATURE-----

--pgp-sign-Multipart_Mon_Jul_28_22:35:11_2008-1--